package api

import (
	"net/http"

	"git.elnu.com/ElnuDev/shiritori-go/httputils"
	. "git.elnu.com/ElnuDev/shiritori-go/shiritori"
)

func GenerateApiSubmit(clients *ClientSet) httputils.Handler {
	return httputils.GenerateHandler(
		"",
		func(w http.ResponseWriter, r *http.Request) {
			r.ParseMultipartForm(0)
			clients.BroadcastWord(r.FormValue("word"))
		},
		nil,
		[]string{http.MethodPost},
	)
}
